Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# RT_Priority_Model_Processing Class Reference

`#include <RT_Servant_Dispatcher.h>`

Collaboration diagram for RT_Priority_Model_Processing:

[legend]
List of all members.

## Public Methods
| RT_Priority_Model_Processing (TAO_POA &poa, CORBA::Short servant_priority)
| ~RT_Priority_Model_Processing (void)
void | pre_invoke (TAO_Service_Context &request_service_context, TAO_Service_Context &reply_service_context, CORBA::Environment &ACE_TRY_ENV)
void | post_invoke (CORBA::Environment &ACE_TRY_ENV)
## Private Types
enum | State { NO_ACTION_REQUIRED, PRIORITY_RESET_REQUIRED }
## Private Methods
| RT_Priority_Model_Processing (const RT_Priority_Model_Processing &)
void | operator= (const RT_Priority_Model_Processing &)
## Private Attributes
State | state_
TAO_POA& | poa_
RTCORBA::Priority | original_native_priority_
RTCORBA::Priority | original_CORBA_priority_
CORBA::Short | servant_priority_

## Detailed Description

This class encapsulates processing necessary for RTCORBA CLIENT_PROPAGATED priority model.

Although the destructor of this class resets the priority of the thread to it's original value, application should use <post_invoke> method for that purpose: destructor cannot propagate possible exceptions to the callee. Destructor's reset capability is intended as a last resort, i.e., if <post_invoke> isn't reached for some reason.

## Member Enumeration Documentation

enum RT_Priority_Model_Processing::State`[private]`

  | Enumeration values:
  NO_ACTION_REQUIRED |
  PRIORITY_RESET_REQUIRED |

## Constructor & Destructor Documentation

const char *get_rcsid_tao _ RT_Priority_Model_Processing::RT_Priority_Model_Processing ( | TAO_POA & poa,
| CORBA::Short servant_priority )`[inline]`

RT_Priority_Model_Processing::~RT_Priority_Model_Processing ( | void )

RT_Priority_Model_Processing::RT_Priority_Model_Processing ( | const RT_Priority_Model_Processing & )`[private]`

## Member Function Documentation

void RT_Priority_Model_Processing::operator= ( | const RT_Priority_Model_Processing & )`[private]`

void RT_Priority_Model_Processing::post_invoke ( | CORBA::Environment & ACE_TRY_ENV )

void RT_Priority_Model_Processing::pre_invoke ( | TAO_Service_Context & request_service_context,
| TAO_Service_Context & reply_service_context,
| CORBA::Environment & ACE_TRY_ENV )

## Member Data Documentation

RTCORBA::Priority RT_Priority_Model_Processing::original_CORBA_priority_`[private]`

RTCORBA::Priority RT_Priority_Model_Processing::original_native_priority_`[private]`

TAO_POA & RT_Priority_Model_Processing::poa_`[private]`

CORBA::Short RT_Priority_Model_Processing::servant_priority_`[private]`

State RT_Priority_Model_Processing::state_`[private]`

The documentation for this class was generated from the following files:

- RT_Servant_Dispatcher.h
- RT_Servant_Dispatcher.cpp